1

How can I install a package in Gnu Octave? I have tried, for example, with the splines-package after downloading it in my home directory with:

Octave1>> pkg install splines-1.0.7.tar.gz

I get the following error message:

couldn't create installation directory /usr/share/octave/packages/3.2/splines-1.0.7     
: Permission denied
error: called from `pkg>copy_files' in file /usr/share/octave/3.2.4/m/pkg/pkg.m near line 1431, column 7
error: called from:
error:   /usr/share/octave/3.2.4/m/pkg/pkg.m at line 756, column 5
error:   /usr/share/octave/3.2.4/m/pkg/pkg.m at line 287, column 7
4

run Octave as SU:

sudo octave

and then try the same as You did.

| improve this answer | |
0

or sudo -i then octave Before you run octave, you must download and store the package to /usr/share/octave/packages

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.